:root {
  --background: cadetblue;
  --primary: white;
  --secondary: darkcyan;
  --accent1: beige;
  --accent2: chocolate;
  --gap: 20px;
  --radius: 10px;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  height: 100vh;
  background-color: var(--background);
  font-family: "Courier New", Courier, monospace;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: calc(var(--gap) / 2);
}

.game-window {
  width: 55%;
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
  background-color: var(--primary);
  gap: var(--gap);
  padding: var(--gap);
  border-radius: var(--radius);
}

.card {
  font-size: 4.5rem;
  width: calc((100% - 3 * var(--gap)) / 4);
  height: 160px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--secondary);
  border-radius: var(--radius);
  transition: all 0.6s ease;
}
.card span {
  caret-color: transparent;
  opacity: 0;
  transition: all 0.6s ease;
}
.card:hover {
  cursor: pointer;
  opacity: 0.8;
}
.flip {
  background-color: var(--accent1);
  transform: scaleX(-1);
}
.flip span {
  opacity: 1;
}
.match {
  animation: match-animation 0.5s ease 1;
}

@keyframes match-animation {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1);
  }
  100% {
    transform: scale(1);
  }
}

.controls {
  width: 55%;
  background-color: var(--primary);
  padding: var(--gap) calc(2 * var(--gap));
  border-radius: var(--radius);
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.start-again {
  padding: calc(var(--gap) / 2) var(--gap);
  border: none;
  background-color: var(--accent2);
  color: white;
  font-weight: bold;
  font-size: 18px;
  border-radius: var(--radius);
  transition: all 0.3s ease;
}
.start-again:hover {
  cursor: pointer;
  opacity: 0.9;
}
.start-again:active {
  transform: translateY(2px);
}
.timer {
  color: var(--accent2);
  font-size: 28px;
  font-weight: bold;
}

.result-dialog[open] {
  display: flex;
}
.result-dialog {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: none;
  border-radius: var(--radius);
  padding: var(--gap);
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 300px;
  caret-color: transparent;
}
.result-dialog::backdrop {
  background-color: rgba(128, 128, 128, 0.461);
}
.result-info {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: bold;
}
.stars {
  width: 100%;
  font-size: 30px;
  color: gold;
  display: flex;
  gap: 10px;
  justify-content: center;
  align-items: center;
}
.stars span {
  opacity: 0.25;
}
.result-message {
  margin: 10px 0;
  font-size: 30px;
  font-weight: bold;
  color: green;
}
.okBtn {
  width: 100%;
  padding: 10px;
  border-radius: var(--radius);
  font-size: 18px;
  font-weight: bold;
  border: none;
  background-color: var(--accent1);
  color: var(--accent2);
  transition: all 0.3s ease;
}
.okBtn:hover {
  cursor: pointer;
  transform: scale(1.05);
}
.okBtn:active {
  transform: translateY(3px);
}

@media (max-width: 950px) {
  .game-window {
    width: 70%;
  }
  .card {
    width: calc((100% - 2 * var(--gap)) / 3);
    height: 130px;
  }
  .controls {
    width: 70%;
  }
}

@media (max-width: 550px) {
  .game-window {
    width: 90%;
  }
  .card {
    width: calc((100% - 2 * var(--gap)) / 3);
    height: 120px;
  }
  .controls {
    width: 90%;
  }
}
